MongoCursor::getNext
MongoCursor::hasNext
MongoCursor
PHP Manual

# MongoCursor::getReadPreference

(PECL mongo >=1.3.3)

MongoCursor::getReadPreference — Get the read preference for this query

### Description

public array MongoCursor::getReadPreference ( void )

### Parameters

This function has no parameters.

### Return Values

This function returns an array describing the read preference. The array contains the values type for the string read preference mode (corresponding to the MongoClient constants), and tagsets containing a list of all tag set criteria. If no tag sets were specified, tagsets will not be present in the array.

### Examples

Example #1 MongoCursor::getReadPreference() return value example

`<?php
$m = new MongoClient();
$cursor = $m->test->users->find();
$cursor->setReadPreference(MongoClient::RP_SECONDARY, array(
array('dc' => 'east', 'use' => 'reporting'),
array('dc' => 'west'),
array(),
));
var_dump($cursor->getReadPreference());
?>`

The above example will output:

    array(2) {
      ["type"]=>
      string(9) "secondary"
      ["tagsets"]=>
      array(3) {
        [0]=>
        array(2) {
          ["dc"]=>
          string(4) "east"
          ["use"]=>
          string(9) "reporting"
        }
        [1]=>
        array(1) {
          ["dc"]=>
          string(7) "west"
        }
        [2]=>
        array(0) {
        }
      }
    }

### See Also

- The read preferences documentation.
- MongoCursor::setReadPreference() - Set the read preference for this query
- MongoCursorInterface::getReadPreference() - Get the read preference for this query

MongoCursor::getNext
MongoCursor::hasNext
MongoCursor
PHP Manual